<template>
	<div class="hpc">
		<div v-html="content"></div>
	</div>
</template>

<script>
	import { details } from '../../request/api.js'
	export default {
		data() {
			return {
				content: ''
			}
		},
		created() {
			this.getData()
			this.getContent(27)
		},
		computed: {
			iid() {
				return this.$route.query.id || 0
			}
		},
		watch: {
			iid(val) {
				this.getData(val)
			}
		},
		methods: {
			getData(val) {
				if(!val){
					val = 0
				}
				if(val==0){
					this.getContent(27)
				}else {
					this.getContent(28)
				}
			},
			getContent(id) {
				details({},id).then(({data}) => {
					this.content = data.content
				})
			}
		}
	}
</script>

<style>
</style>
